Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dcd.graph
Interface NodeVisitor

All Known Implementing Classes:
  DumpNodeVisitor, NodeVisitorAdapter, UsageNodeVisitor

    public interface NodeVisitor

Visitor for nodes in a UsageGraph.

Method Summary
`java.lang.Object` | `visit(ClassNode classNode, java.lang.Object data)`
`java.lang.Object` | `visit(ConstructorNode constructorNode, java.lang.Object data)`
`java.lang.Object` | `visit(FieldNode fieldNode, java.lang.Object data)`
`java.lang.Object` | `visit(MethodNode methodNode, java.lang.Object data)`
`java.lang.Object` | `visit(UsageGraph usageGraph, java.lang.Object data)`
`java.lang.Object` | `visitConstructors(ClassNode classNode, java.lang.Object data)`
`java.lang.Object` | `visitFields(ClassNode classNode, java.lang.Object data)`
`java.lang.Object` | `visitMethods(ClassNode classNode, java.lang.Object data)`
`java.lang.Object` | `visitUse(MemberNode use, java.lang.Object data)`
`java.lang.Object` | `visitUser(MemberNode user, java.lang.Object data)`
`java.lang.Object` | `visitUsers(MemberNode memberNode, java.lang.Object data)`
`java.lang.Object` | `visitUses(MemberNode memberNode, java.lang.Object data)`

Method Detail

### visit

    java.lang.Object visit(UsageGraph usageGraph,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ClassNode classNode,
                           java.lang.Object data)

### visitFields

    java.lang.Object visitFields(ClassNode classNode,
                                 java.lang.Object data)

### visit

    java.lang.Object visit(FieldNode fieldNode,
                           java.lang.Object data)

### visitConstructors

    java.lang.Object visitConstructors(ClassNode classNode,
                                       java.lang.Object data)

### visit

    java.lang.Object visit(ConstructorNode constructorNode,
                           java.lang.Object data)

### visitMethods

    java.lang.Object visitMethods(ClassNode classNode,
                                  java.lang.Object data)

### visit

    java.lang.Object visit(MethodNode methodNode,
                           java.lang.Object data)

### visitUses

    java.lang.Object visitUses(MemberNode memberNode,
                               java.lang.Object data)

### visitUse

    java.lang.Object visitUse(MemberNode use,
                              java.lang.Object data)

### visitUsers

    java.lang.Object visitUsers(MemberNode memberNode,
                                java.lang.Object data)

### visitUser

    java.lang.Object visitUser(MemberNode user,
                               java.lang.Object data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.